# CMAP_FD_GET

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
SEE ALSO

## NAME

cmap_fd_get − Dispatches callbacks from the CMAP service

## SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_fd_get (cmap_handle_t handle, int *fd);

## DESCRIPTION

The cmap_fd_get function is used to retrieve the file descriptor that may be used with the poll system call to determine when cmap_dispatch(3) won’t block. The handle argument may not be used directly with poll because it is not the file descriptor, but instead an internal identifier used by the CMAP library.

## RETURN VALUE

This call returns the CS_OK value if successful, otherwise an error is returned.

## SEE ALSO

cmap_dispatch(3), cmap_overview(3)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task